org.apache.fop.render.pdf

## Class PDFSVGHandler.PDFInfo

- java.lang.Object
- - org.apache.fop.render.pdf.PDFSVGHandler.PDFInfo

- Enclosing class:
    PDFSVGHandler

      public static class PDFSVGHandler.PDFInfo
      extends Object

  PDF information structure for drawing the XML document.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Configuration` | `cfg` see PDF_HANDLER_CONFIGURATION
    `String` | `currentFontName` see PDF_FONT_NAME
    `int` | `currentFontSize` see PDF_FONT_SIZE
    `int` | `currentXPosition` see PDF_XPOS
    `int` | `currentYPosition` see PDF_YPOS
    `FontInfo` | `fi` see PDF_FONT_INFO
    `int` | `height` see PDF_HEIGHT
    `OutputStream` | `outputStream` see OUTPUT_STREAM
    `boolean` | `paintAsBitmap` true if SVG should be rendered as a bitmap instead of natively
    `PDFResourceContext` | `pdfContext` see PDF_CONTEXT
    `PDFDocument` | `pdfDoc` see PDF_DOCUMENT
    `PDFPage` | `pdfPage` see PDF_PAGE
    `int` | `width` see PDF_WIDTH

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFInfo()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pdfDoc

          public PDFDocument pdfDoc

      see PDF_DOCUMENT

    - #### outputStream

          public OutputStream outputStream

      see OUTPUT_STREAM

    - #### pdfPage

          public PDFPage pdfPage

      see PDF_PAGE

    - #### pdfContext

          public PDFResourceContext pdfContext

      see PDF_CONTEXT

    - #### width

          public int width

      see PDF_WIDTH

    - #### height

          public int height

      see PDF_HEIGHT

    - #### fi

          public FontInfo fi

      see PDF_FONT_INFO

    - #### currentFontName

          public String currentFontName

      see PDF_FONT_NAME

    - #### currentFontSize

          public int currentFontSize

      see PDF_FONT_SIZE

    - #### currentXPosition

          public int currentXPosition

      see PDF_XPOS

    - #### currentYPosition

          public int currentYPosition

      see PDF_YPOS

    - #### cfg

          public Configuration cfg

      see PDF_HANDLER_CONFIGURATION

    - #### paintAsBitmap

          public boolean paintAsBitmap

      true if SVG should be rendered as a bitmap instead of natively

  - ### Constructor Detail

    - #### PDFInfo

          public PDFInfo()

Copyright © 2023 Apache Software Foundation. All rights reserved.